Part Sphere/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(7 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Part_Cylinder|Cylinder]]
|[[Part_Cylinder|Cylinder]]
|[[Part_Torus|Torus]]
|[[Part_Cone|Cone]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Cylinder.svg
|IconL=Part_Cylinder.svg
|IconR=Part_Cone.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
|IconR=Part_Torus.svg
}}
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Part Sphere|Name/cs=Díl Koule|MenuLocation=Díl -> Koule||Workbenches=[[Part_Module/cs|Modul Díl]], Kompletace|SeeAlso=[[Part_CreatePrimitives/cs|Díl Vytváření zákl.geom.tvarů]]}}
{{GuiCommand/cs|Name=Part Sphere|Name/cs=Díl Koule|MenuLocation=Díl -> Koule||Workbenches=[[Part_Workbench/cs|Modul Díl]], Kompletace|SeeAlso=[[Part_CreatePrimitives/cs|Díl Vytváření zákl.geom.tvarů]]}}
</div>
</div>


== Description ==

<div class="mw-translate-fuzzy">
Vytvoří jednoduchou parametrickou kouli podle parametrů pozice, úhel1, úhel2, úhel3 a poloměr.
Vytvoří jednoduchou parametrickou kouli podle parametrů pozice, úhel1, úhel2, úhel3 a poloměr.
</div>

A Part Sphere can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of a sphere by changing its {{PropertyData|Angle3}} property.

[[Image:Part_Sphere_Example.png|400px]]


==Usage==
[[File:SimpleSphere.jpg|400px]]


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 23: Line 32:
</div>
</div>


== Example ==

[[Image:Part_Sphere_Scripting_Example.png|thumb|Part Sphere from the scripting example]]

A Part Sphere object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Sphere can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

<div class="mw-translate-fuzzy">
== Volby ==
== Volby ==
</div>


See also: [[Property_editor|Property editor]].
The parametric sphere is defined by the following parameters:


A Part Sphere object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* Radius
* Angle 1
* Angle 2
* Angle 3
* as well as the standard set of placement parameters


=== Data ===
The picture below gives an overview of a parametric sphere with parameters different from the default value.


{{TitleProperty|Attachment}}
[[File:PartDesign_Sphere_Parameter_en.jpg|600px]]


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
====Parameter====
* {{PropertyData|Radius:}} Radius of the sphere
* {{PropertyData|Angle 1:}} 1nd angle to cut / define the sphere
* {{PropertyData|Angle 2:}} 2nd angle to cut / define the sphere
* {{PropertyData|Angle 3:}} 3rd angle to cut / define the sphere


{{TitleProperty|Sphere}}
Because it is quite difficult to explain the meaning of the parameters angle 1, angle 2, angle 3, the picture below gives an explanation about these parameters with following values: angle 1 = -45°, angle 2 = 45° and angle 3= 90°.

* {{PropertyData|Radius|Length}}: The radius of the sphere. The default is {{Value|5mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the arc profile is smaller than {{Value|180°}} the sphere will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of revolution of the sphere. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a sphere.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Sphere can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
}}

* Where {{Incode|"mySphere"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()
}}


[[File:SphereCutThreeAngles.jpg|400px]]
{{clear}}


{{Docnav
{{Docnav
|[[Part_Cylinder|Cylinder]]
|[[Part_Cylinder|Cylinder]]
|[[Part_Torus|Torus]]
|[[Part_Cone|Cone]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Cylinder.svg
|IconL=Part_Cylinder.svg
|IconR=Part_Cone.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
|IconR=Part_Torus.svg
}}
}}



Latest revision as of 09:53, 3 March 2022

Díl Koule

Umístění Menu
Díl -> Koule
Pracovní stoly
Modul Díl, Kompletace
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Díl Vytváření zákl.geom.tvarů

Description

Vytvoří jednoduchou parametrickou kouli podle parametrů pozice, úhel1, úhel2, úhel3 a poloměr.

A Part Sphere can be truncated at the top and/or bottom by changing its ÚdajeAngle1 and/or ÚdajeAngle2 properties. It can be turned into a segment of a sphere by changing its ÚdajeAngle3 property.

Usage

Použití

V pracovní ploše Díl klikněte na ikonu koule . Koule bude při vytvoření umístěna do počátečního bodu (bod 0,0,0). Parametry úhly dovolují vytvořit částečnou kouli místo celé koule (defaultně jsou nastaveny na 360°)

Example

Part Sphere from the scripting example

A Part Sphere object created with the scripting example below is shown here.

Notes

  • A Part Sphere can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Volby

See also: Property editor.

A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Sphere

  • ÚdajeRadius (Length): The radius of the sphere. The default is 5mm.
  • ÚdajeAngle1 (Angle): The start angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to ÚdajeAngle2. The default is -90°.
  • ÚdajeAngle2 (Angle): The end angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to ÚdajeAngle1. The default is 90°. If the total angle of the arc profile is smaller than 180° the sphere will be truncated and have a flat face at the top and/or bottom.
  • ÚdajeAngle3 (Angle): The total angle of revolution of the sphere. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a sphere.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Sphere can be created with the addObject() method of the document:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()